      implicit real*8 (a-h,o-z)
      external funkcja
      double precision funkcja
c
c Program sluzy do obliczenia calki oznaczonej funkcji jednej zmiennej
c w przedziale [a,b] dla liczby krokow calkowania n.
c
c Czytanie danych
c
      read (*,*) a,b,n
c 
c Obliczenie calki
c
      call calkowanie(a,b,n,funkcja,calka) 
c
c Drukowanie wynikow
c
      print *,"calka:",calka
      stop
      end
